<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>

<?xdevuiml version="1.0"?>
<?template NONE?>
<?import com.vaadin.ui.CustomComponent?>
<?import com.xdev.ui.XdevAccordion?>
<?import com.xdev.ui.XdevButton?>
<?import com.xdev.ui.XdevHorizontalLayout?>
<?import com.xdev.ui.XdevImage?>
<?import com.xdev.ui.XdevPanel?>
<?import com.xdev.ui.XdevVerticalLayout?>
<?import com.xdev.ui.XdevView?>
<?import com.xdev.ui.entitycomponent.table.XdevTable?>
<XdevView xmlns:x="http://xml.xdev-software.com/xdevuiml" x:name="SearchView">
    <x:constraints zpos="0" width="100%" height="100%" />
    <XdevHorizontalLayout spacing="false" x:name="horizontalLayout" margin="">
        <x:constraints zpos="0" width="100%" height="100%" />
        <XdevAccordion styleName="opaque" x:name="accordion" captionAsHtml="true" x:selectedTabIndex="0">
            <x:constraints weightx="0.1" width="100%" height="100%" />
            <XdevPanel caption="Dati Selezione" tabIndex="0" x:name="panel2" />
            <XdevPanel caption="Filtri di selezione" tabIndex="0" x:name="panel4" />
        </XdevAccordion>
        <XdevPanel tabIndex="0" x:name="panel">
            <x:constraints weightx="0.3" width="100%" height="100%" />
            <XdevVerticalLayout spacing="false" x:name="verticalLayout" margin="">
                <x:constraints zpos="0" width="100%" height="100%" />
                <XdevPanel caption="Risultati selezione" tabIndex="0" x:name="panelRisultati" captionAsHtml="true">
                    <x:constraints weighty="0.1" width="100%" alignment="TOP_LEFT" height="100%" />
                    <XdevVerticalLayout x:name="verticalLayout4" margin="">
                        <x:constraints zpos="0" width="100%" height="100%" />
                        <XdevTable x:name="tableRisultati" styleName="small mystriped">
                            <x:constraints weighty="1.0" width="100%" alignment="TOP_LEFT" height="100%" />
                            <x:typeArguments>
                                <typeArgument type="CustomComponent" />
                            </x:typeArguments>
                            <x:event>valueChange.valueChange</x:event>
                        </XdevTable>
                        <XdevHorizontalLayout x:name="horizontalLayout2" margin="rl">
                            <x:constraints weighty="0.1" width="100%" alignment="TOP_LEFT" height="0px" />
                            <XdevButton caption="SelRistr" styleName="small" x:name="buttonSelRistretta">
                                <x:constraints weightx="0.0" width="0px" height="0px" />
                                <x:event>click.buttonClick</x:event>
                            </XdevButton>
                            <XdevButton caption="Aggiungi Preventivo" styleName="big giallo" x:name="buttonAggiungiPreventivo" id="buttonCopiaPreventivo" visible="false">
                                <x:constraints weightx="0.0" width="0px" height="0px" />
                                <x:event>click.buttonClick</x:event>
                            </XdevButton>
                            <XdevButton caption="Confronto" styleName="small" x:name="buttonConfronto">
                                <x:constraints weightx="0.0" width="0px" height="0px" />
                                <x:event>click.buttonClick</x:event>
                            </XdevButton>
                        </XdevHorizontalLayout>
                    </XdevVerticalLayout>
                </XdevPanel>
                <XdevPanel tabIndex="0" x:name="panelGrafico" captionAsHtml="true">
                    <x:constraints weighty="0.1" width="100%" alignment="TOP_LEFT" height="100%" />
                    <XdevVerticalLayout x:name="verticalLayout2">
                        <x:constraints zpos="0" width="100%" height="100%" />
                        <XdevImage x:name="image">
                            <x:constraints weighty="0.1" width="0px" height="100%" />
                        </XdevImage>
                    </XdevVerticalLayout>
                </XdevPanel>
            </XdevVerticalLayout>
        </XdevPanel>
    </XdevHorizontalLayout>
</XdevView>

